Update a draft or scheduled post
curl --request PATCH \
--url https://api.app.hrizn.io/v1/public/social/posts/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '{}'import requests
url = "https://api.app.hrizn.io/v1/public/social/posts/{id}"
payload = {}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.app.hrizn.io/v1/public/social/posts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.app.hrizn.io/v1/public/social/posts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.app.hrizn.io/v1/public/social/posts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"zernio_post_id": "<string>",
"status": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}Update a draft or scheduled post
PATCH
/
social
/
posts
/
{id}
Update a draft or scheduled post
Authorizations
Your Hrizn API key (prefix hzk_)
Path Parameters
The post id (post_id / Zernio post id)
Body
application/json
Hide child attributes
Hide child attributes
Required range:
x >= 1Available options:
week, month Required range:
x >= 1JSON-encoded string of platform-specific options (same shape as on create — e.g. linkedin {"organizationUrn":"urn:li:organization:<id>"}, googlebusiness {"locationId":"<id>"}).
Last modified on July 1, 2026
⌘I
